
CoCoA-5 - Slug #1722

Daft slug

06 Feb 2023 15:55 - John Abbott

Status: In Progress Start date: 06 Feb 2023

Priority: Low Due date:  

Assignee:  % Done: 20%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 1.00 hour

Description

Since I'm now working for "the other side", I can send lots of bug reports ;-)

use R999 ::= QQ[x[1..999]];

I := ideal([y^2 | y in indets(R999)]);

Q := R999/I;

use Q;

J := 0; t0 := CpuTime(); J := sum([x[k] | k in 1..9])^10;  TimeFrom(t0);   ---> SLOWER

J := 0; t0 := CpuTime(); J := sum([x[k] | k in 1..9])^100;  TimeFrom(t0);  ---> FASTER (huh?)

History

#1 - 06 Feb 2023 15:56 - John Abbott

This not really serious, just unexpected/surprising.

JAA does not really think that there is anything to fix here.

#2 - 14 Feb 2023 21:23 - John Abbott

- Status changed from New to In Progress

On my current linux box the timings are:

19.777

16.297

#3 - 27 Feb 2023 12:40 - Anna Maria Bigatti

John Abbott wrote:

On my current linux box the timings are:

[...]

 

On my Mac

15.269

11.807
#4 - 27 Feb 2023 12:57 - Anna Maria Bigatti

- % Done changed from 0 to 20

At least partly due to memory creation for intermediate computations:  restarting CoCoA and swapping the computations I get

/**/ J := 0; t0 := CpuTime(); J := sum([x[k] | k in 1..9])^100;  TimeFrom(t0);

13.190

/**/ J := 0; t0 := CpuTime(); J := sum([x[k] | k in 1..9])^10;  TimeFrom(t0);

13.862

 

Notice also that this is effectively constant

/**/ f9 := sum([x[k] | k in 1..9]);

/**/ J := 0; t0 := CpuTime(); J := f9^16;  TimeFrom(t0);

11.532

/**/ J := 0; t0 := CpuTime(); J := f9^32;  TimeFrom(t0);

11.552

/**/ J := 0; t0 := CpuTime(); J := f9^256;  TimeFrom(t0);

11.579
